Get Api Key

Get API key details with option to include the actual key.

Path Parameters
  • key_id
    Type: string · Key Id
    required
Query Parameters
  • include_key
    Type: boolean · Include Key

    Include the actual API key in the response

Headers
  • Accept
    enum
    const:  
    application/json
    required

    Response format. Must be application/json.

    values
    • application/json
Responses
  • application/json
  • application/json
Request Example for get/v1/api-keys/{key_id}
curl 'https://api.uat.koard.com/v1/api-keys/{key_id}?include_key=false' \
  --header 'Accept: application/json' \
  --header 'x-koard-apikey: YOUR_SECRET_TOKEN'
{
  "account_id": "string",
  "created_at": "2026-06-22T13:58:38.528Z",
  "expires_at": "2026-06-22T13:58:38.528Z",
  "id": "string",
  "key": "string",
  "name": "string",
  "status": "active"
}